package org.dromara.system.service;

import org.dromara.system.domain.vo.FileCategoryVo;
import org.dromara.system.domain.bo.FileCategoryBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文件分类Service接口
 *
 * @author Lion Li
 * @date 2024-01-01
 */
public interface IFileCategoryService {

    /**
     * 查询文件分类
     */
    FileCategoryVo queryById(Long id);

    /**
     * 查询文件分类列表
     */
    TableDataInfo<FileCategoryVo> queryPageList(FileCategoryBo bo, PageQuery pageQuery);

    /**
     * 查询文件分类列表
     */
    List<FileCategoryVo> queryList(FileCategoryBo bo);

    /**
     * 新增文件分类
     */
    Boolean insertByBo(FileCategoryBo bo);

    /**
     * 修改文件分类
     */
    Boolean updateByBo(FileCategoryBo bo);

    /**
     * 校验并批量删除文件分类信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询分类树结构
     */
    List<FileCategoryVo> queryCategoryTree();

    /**
     * 根据类型查询分类列表
     */
    List<FileCategoryVo> queryByType(Integer type);
}
